#include <iostream>
#include <bits/stdc++.h>
using namespace std;
const int mod=1e9+7;
const int maxN=1e6+3;
int dp[26][maxN];
char s[maxN];
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    //ifstream cin("C:/Users/zoran/Desktop/drvo.txt");
    int n;
    cin>>n;
    for(int i=1;i<=n;i++)
    {
        cin>>s[i];
        dp[0][i]=dp[0][i-1]+(s[i]=='A');
    }
    for(int i=1;i<26;i++)
    {
        for(int j=1;j<=n;j++)
        {
            if(s[j]-'A'==i)
            {
                dp[i][j]=(dp[i-1][j-1]+dp[i][j-1])%mod;
            }
            else{
                dp[i][j]=dp[i][j-1];
            }
        }
    }
    cout<<dp[25][n];
    return 0;
}